GET /cloud/{uuid}/status/

GET /cloud/{uuid}/status/

/cloud/{uuid}/status/

Request
URI
GET
https://{api_host}/api/cloud/{uuid}/status
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns CloudStatus of type(s) application/json
{
    "cc_id": "string",
    "nsxt_streaming_server_status": {
        "cursor": {
            "epoch": 0,
            "sequence": 0
        },
        "last_update_err": "string",
        "last_update_time": "string",
        "nsxt_manager_url": "string",
        "state": "string",
        "uuid": "string"
    },
    "reason": "string",
    "se_image_state": [
        {
            "reason": "string",
            "state": "string",
            "version": "string"
        }
    ],
    "state": "string"
}
string
cc_id
Optional

Cloud Id. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
nsxt_streaming_server_status
Optional

nsxt_streaming_server_status

string
reason
Optional

Reason message for the current state. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
se_image_state
Optional

ServiceEngine image state. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
state
Optional

Cloud State. Enum options - CLOUD_STATE_UNKNOWN, CLOUD_STATE_IN_PROGRESS, CLOUD_STATE_FAILED, CLOUD_STATE_PLACEMENT_READY, CLOUD_STATE_DELETING, CLOUD_STATE_NOT_CONNECTED. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/cloud/{uuid}/status